Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 149441 - Yelp doesn't depend correctly on firefox
Summary: Yelp doesn't depend correctly on firefox
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 216263 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-09-28 11:55 UTC by Fredrik Tolf
Modified: 2008-04-05 13:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fredrik Tolf 2006-09-28 11:55:06 UTC
Yelp currently depends explicitly on www-client/mozilla-firefox, which causes problems if one uses mozilla-firefox-bin instead.
Comment 1 Daniel Gryniewicz (RETIRED) gentoo-dev 2006-09-28 11:57:25 UTC
yelp cannot be built against firefox-bin, only firefox.
Comment 2 Carsten Lohrke (RETIRED) gentoo-dev 2008-04-05 08:32:05 UTC
*** Bug 216263 has been marked as a duplicate of this bug. ***
Comment 3 David Relson 2008-04-05 11:44:42 UTC
Why must yelp have firefox?  In my 64-bit environment, when firefox-bin is replaced by firefox, this breaks plugins which depend on the 32-bit nature of firefox-bin.
Comment 4 Rémi Cardona gentoo-dev 2008-04-05 13:43:51 UTC
Because firefox-bin does not provide the needed libraries and headers to build yelp. Simple.